# netallocation 
------------------
### netallocation: Allocate **flows**, **emissions** and **costs** in optimized [PyPSA](https://github.com/PyPSA/PyPSA) networks

[![Documentation Status](https://readthedocs.org/projects/netallocation/badge/?version=latest)](https://netallocation.readthedocs.io/en/latest/)
[![PyPI](https://img.shields.io/pypi/v/netallocation)](https://pypi.org/project/netallocation/)
[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/FRESNA/netallocation/master?filepath=examples)
[![Python application](https://github.com/FRESNA/netallocation/workflows/Python%20application/badge.svg)](https://github.com/FRESNA/netallocation/actions/)
![Python Version](https://img.shields.io/badge/python-3.5%20%7C%203.6%20%7C%203.7-blue)
![license](https://img.shields.io/pypi/l/netallocation)

##  What is it?

**netallocation** is a python package for allocating flows, losses, emissions and costs in [PyPSA](https://www.github.com/PyPSA/PyPSA) power systems. It provides various functions to track *where* power flows originate from and how they flow through the network. This can then be used for carbon tracing and distributing costs among the market participants. 

<!-- ## Why is this useful?  -->



netallocation was initially developed by the
[Renewable Energy Group](https://fias.uni-frankfurt.de/physics/schramm/complex-renewable-energy-networks/) at [FIAS](https://fias.uni-frankfurt.de/) for the [NetAllok project](https://www.enargus.de/pub/bscw.cgi/?op=enargus.eps2&v=10&s=14&q=EA3310&id=399670&p=10) financed by the [German Federal Ministry for Economic Affairs and Energy (BMWi)](https://www.bmwi.de/Navigation/DE/Home/home.html).


## Licence

Copyright 2018-2022 Fabian Hofmann (FIAS), Markus Schlott (FIAS)



netallocation is released as free software under the
[GPLv3](http://www.gnu.org/licenses/gpl-3.0.en.html), see
[LICENSE](LICENSE) for further information.
